Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.instrument.classloading
Class SimpleThrowawayClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.springframework.core.OverridingClassLoader
              org.springframework.instrument.classloading.SimpleThrowawayClassLoader

    public class SimpleThrowawayClassLoader

extends OverridingClassLoader

ClassLoader that can be used to load classes without bringing them into the parent loader. Intended to support JPA "temp class loader" requirement, but not JPA-specific.

Since:
  2.0
Author:
  Rod Johnson

Field Summary

Fields inherited from class org.springframework.core.OverridingClassLoader
`DEFAULT_EXCLUDED_PACKAGES`

Constructor Summary
`SimpleThrowawayClassLoader(ClassLoader parent)` Create a new SimpleThrowawayClassLoader for the given class loader.

Method Summary

Methods inherited from class org.springframework.core.OverridingClassLoader
`excludeClass, excludePackage, isEligibleForOverriding, loadBytesForClass, loadClass, loadClassForOverriding, openStreamForClass, transformIfNecessary`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleThrowawayClassLoader

    public SimpleThrowawayClassLoader(ClassLoader parent)

  Create a new SimpleThrowawayClassLoader for the given class loader.

  Parameters:
    `parent` - the ClassLoader to build a throwaway ClassLoader for

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.